Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #1221

Qt 5.15.12 broke the mouse scroll feature of the status icon plugin
January 28, 2024 10:10 - Artem S. Tashkinov

Status: Rejected Start date: January 28, 2024
Priority: Minor Due date:

Assignee: % Done: 0%

Category: plugins/statusicon Estimated time: 0.00 hour

Target version:

Affects version: 4.3.1

Description

| don't think any other updates could have done that but after Fedora 39 got this Qt 5 update | can no longer change the currently
playing song or adjust the volume using the mouse scroll button.

Left, middle and right mouse clicking still work (show the main window, pause and show the context menu).

History

#1 - January 28, 2024 10:19 - Artem S. Tashkinov

I'm using a classic X11 session (XFCE without compositing). No wayland stuff.

#2 - January 28, 2024 17:02 - Artem S. Tashkinov

I've rebuilt audacious however the issue persists.

#3 - March 16, 2024 12:06 - Thomas Lange
- Status changed from New to Rejected

- Category changed from libaudgqt to plugins/statusicon

This is a known issue and is caused by Qt not implementing the scroll method for the StatusNotifierltem.

See also:

- https://github.com/orgs/audacious-media-player/discussions/121
- https://redmine.audacious-media-player.org/issues/960

Please continue with further comments in the GitHub discussion. Closing as rejected.

#4 - March 29, 2024 10:48 - Artem S. Tashkinov
I've filed https://bugreports.qgt.io/browse/QTBUG-123859
